#!/bin/sh
# This is /root/noob/startup_welcome_alarm.sh    (For BookwormPup64) V1  ETP 1st October 2023
# Please if you wish, substitute your own desired handle for Earthling on line 9  (e.g. Fred)
#
sleep 18 # May be reduced from default of 18 seconds to 15 or less if using an SSD or fast HD.  Also if using a static IP rather than DHCP.
os=`grep DISTRO_NAME /etc/DISTRO_SPECS | cut -d "'" -f 2`
version=`grep DISTRO_VERSION /etc/DISTRO_SPECS | cut -d "=" -f 2`
distro="This is $os, $version.";echo $distro
cognomen="Earthling"
echo $cognomen
day="Today is `date +%A`";echo $day
check=`date +%H`
echo $check
if [ $check -ge 05 -a $check -le 11 ]

then
        tod="Good morning $cognomen."

elif [ $check -ge 12 -a $check -le 17 ]

then
        tod="Good afternoon $cognomen."
else
        tod="Good evening $cognomen."
fi
player=mpv
alarmclip=/usr/share/audio/no_internet.mp3
#lang=fr # Uncomment for testing only & comment out the following line.
lang=`echo $LANG | cut -d_ -f1`
echo $lang
#
echo -e "GET http://google.com HTTP/1.0\n\n" | nc google.com 80 > /dev/null 2>&1
if [ $? -eq 0 ]; then
        trans -b -p -player $player en: :$lang "$tod $distro $day and Internet access is confirmed." &
        xdotool mousemove --polar 0 0 mousemove_relative 0  40
        yaf-splash -close never -fontsize large -bg yellow -fg black -timeout 18 -text "   Internet access is confirmed.   "
else 
        yaf-splash -close never -fontsize large -bg red -fg white -timeout 10 -text "---   WARNING: No Internet Connection   ---" &
        $player $alarmclip
fi
